# gltestsrc

The gltestsrc element is used to produce test video texture. The video test produced can be controlled with the "pattern" property.

## Example launch line

     gst-launch-1.0 -v gltestsrc pattern=smpte ! glimagesink

Shows original SMPTE color bars in a window.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSrc
                        ╰──GstPushSrc
                            ╰──GstGLBaseSrc
                                ╰──gltestsrc

## Factory details

Authors: – David A. Schleef

Classification: – `Source/Video`

Rank – none

Plugin – opengl

Package – GStreamer Base Plug-ins

## Pad Templates

### `src`

    video/x-raw(memory:GLMemory):
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]
     texture-target: 2D

Presence – always

Direction – src

Object type – GstPad

## Properties

### is-live

    “is-live” gboolean

Whether to act as a live source

Flags : Read / Write

Default value : false

### pattern

    “pattern” Gltest-src-pattern *

Type of test pattern to generate

Flags : Read / Write

Default value : smpte (0)

## Named constants

### Gltest-src-pattern

The test pattern to produce.

#### Members

`smpte` (0) – SMPTE 100%% color bars
`snow` (1) – Random (television snow)
`black` (2) – 100%% Black
`white` (3) – 100%% White
`red` (4) – Red
`green` (5) – Green
`blue` (6) – Blue
`checkers-1` (7) – Checkers 1px
`checkers-2` (8) – Checkers 2px
`checkers-4` (9) – Checkers 4px
`checkers-8` (10) – Checkers 8px
`circular` (11) – Circular
`blink` (12) – Blink
`mandelbrot` (13) – Mandelbrot Fractal

The results of the search are